Website:  Install Mollom or similar spam deterrent

2009-05-02 16:12 - Joe Stewart

Status: New Start date: 2009-05-02

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There is an increasing amount of annoying spam posts.

It would be nice for at least the redmine.org site to support Mollom, Akismet, ReCaptcha, etc.

There is a ruby class at http://mollom.rubyforge.org/

Related issues:

Related to Redmine - Feature #675: Anti-spam or captcha for issues New 2008-02-16

History

#1 - 2009-05-13 16:04 - Sergi de Pablos

It's true. There are forum threads where the last N messager are spam (ex: http://www.redmine.org/boards/2/topics/3399). If not a captcha, I think

external links should be at least tagged with nofollow.

#2 - 2009-07-31 09:57 - Chris Miller

+1

I totally agree.  I had to lock registration for my Redmine site because the spam was getting too high.

I think this is a super-high priority for 0.9 or 0.9.1.

#3 - 2009-07-31 10:04 - Muntek Singh

I'll +1 this only because people make fun of my current solution.

#4 - 2009-09-09 17:27 - david austin

this is a problem for us also.. anonymous users are spamming us and assigning issues to developers +1 for us

#5 - 2010-03-30 04:05 - Jamie Dale

Something like this would be really nice. I've had Redmine installed now for under 24 hours and I've already had two spam registrations.

#6 - 2010-04-01 16:21 - Jamie Dale

As a work around, I have added a required field to registration that can only have one set answer. This seems to have stopped the spam sign-ups for

now.

#7 - 2011-09-27 17:27 - Etienne Massip

- Category set to Website (redmine.org)

#8 - 2012-04-20 23:43 - Tom Vogt

Jamie Dale wrote:

As a work around, I have added a required field to registration that can only have one set answer. This seems to have stopped the spam

sign-ups for now.

 How do you test for the answer? This might be a simple solution for the moment, until the redmine team gets some proper anti-spam measures

implemented.
#9 - 2014-03-16 06:41 - Guru M

Hi,

Rakismet - Akismet anti-spam Rails is available at : https://github.com/joshfrench/rakismet

I've updated the Akismet Plugin Feature request : http://www.redmine.org/issues/1354

Regards,

Guru M.
